EC_EDITLINE_CURLINE(3)

NAME
ec_editline_curline - Get the current edited line.

SYNOPSIS
#include <ecoli/editline.h>

char * ec_editline_curline(
    const struct ec_editline   *editline,           /* The pointer to the ec_editline structure. */
    /*
     * If true, remove all characters starting from cursor (included).
     */
    bool                        trim_after_cursor
);

RETURN VALUE

An allocated string containing the current line. It must be freed by the user. Return NULL on error.

SEE ALSO

ec_editline_get_el(3), ec_editline_set_prompt(3), ec_editline_complete(3), ec_editline_set_prompt_esc(3), ec_editline_parse(3), ec_editline_free(3), ec_editline_term_size(3), ec_editline_gets(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.